%define upstream_name    HTML-StripScripts-Parser
%define upstream_version 1.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    XSS filter using HTML::Parser
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTML::Parser)
BuildRequires: perl(HTML::StripScripts)
BuildRequires: perl(Test::More)
BuildArch: noarch


%description
This class provides an easy interface to 'HTML::StripScripts', using
'HTML::Parser' to parse the HTML.

See the HTML::Parser manpage for details of how to customise how the raw
HTML is parsed into tags, and the HTML::StripScripts manpage for details of
how to customise the way those tags are filtered.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README
%{_mandir}/man3/*
%perl_vendorlib/HTML




%changelog
* Thu Jun 26 2025 umeabot <umeabot> 1.30.0-11.mga10
+ Revision: 2199451
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 1.30.0-10.mga9
+ Revision: 1804022
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.30.0-9.mga8
+ Revision: 1494950
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.30.0-8.mga7
+ Revision: 1268499
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.30.0-7.mga6
+ Revision: 1028310
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 1.30.0-6.mga6
+ Revision: 936546
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.30.0-5.mga5
+ Revision: 749801
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.30.0-4.mga5
+ Revision: 684964
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.30.0-3.mga4
+ Revision: 512006
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.30.0-2.mga3
+ Revision: 368140
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 1.30.0-1.mga1
+ Revision: 23869
- cleaning spec file
- imported package perl-HTML-StripScripts-Parser


* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 1.30.0-1mdv2010.1
+ Revision: 461288
- update to 1.03

* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.20.0-1mdv2010.0
+ Revision: 405858
- rebuild using %%perl_convert_version

* Sat Jul 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2009.0
+ Revision: 231922
- import perl-HTML-StripScripts-Parser


* Sat Jul 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2009.0
- initial mdv release, generated with cpan2dist
